# yaml-language-server: $schema=https://sap.github.io/ui5-tooling/schema/ui5.yaml.json

specVersion: "2.5"
metadata:
  name: ui5expresstemplate
type: application
builder:
  resources:
    excludes:
      - /test/**
      - /localService/**
  customTasks:
    - name: deploy-to-abap
      afterTask: generateCachebusterInfo
      configuration:
        target:
          url: http://backend:port
          client: "400"
        credentials:
          username: env:DEPLOY_USER
          password: env:DEPLOY_PASSWORD
        app:
          name: ZPLUGIN
          description: Fiori FLP plugin template
          package: ZFIORI
          transport: env:DEPLOY_TRANSPORT
